WordPress 플러그인이 충돌할 때 수행할 작업

당황하지 마세요!

따라서 사이트가 로드되지 않고 다음과 같은 혼란스러운 오류 메시지가 표시됩니다.

추천하지 않습니다: 필수 매개변수 $ids는 선택적 매개변수 $table 다음에 옵니다. /you/wp-content/plugins/user-login-history/inc/common/helpers/class-db.php 라인에 113

경고: 헤더 정보를 수정할 수 없습니다. (you/wp-content/plugins/user-login-history/inc/common/helpers/class-db.php:113에서 시작된 출력)에서 이미 보낸 헤더 /당신/wp-includes/pluggable.php 라인에 1083

이러한 종류의 일은 PHP 8의 최신 버전에서 많이 발생합니다. 문제가 되는 플러그인이나 테마로 인해 WordPress 사이트가 최신 상태가 아니기 때문에 충돌이 발생합니다. 이 문제를 해결하려면 WordPress에서 로드되지 않도록 해야 합니다.

FTP 또는 호스팅 제공업체의 파일 관리자를 사용하여 오류에 설명된 플러그인을 찾습니다. 플러그인을 찾으면 이름 끝에 밑줄과 같은 단일 문자를 추가하여 플러그인 폴더의 이름을 바꿉니다. 이와 같이…

당신/wp-content/plugins/user-login-history

당신/wp-content/plugins/user-login-history_

이제 WordPress 페이지를 새로 고치면 오류 없이 로드됩니다.

WordPress 플러그인 페이지로 이동하면 플러그인을 로드할 수 없다는 메시지가 표시됩니다. 이것은 좋은 것입니다. 문제를 해결하고 이름을 다시 바꾸거나 문제를 삭제하고 새 복사본을 설치할 수 있습니다. PHP 7.4로 되돌리면 종종 문제가 해결됩니다.

코멘트를 남겨

이 사이트는 Akismet을 사용하여 스팸을 줄입니다. 댓글 데이터 처리 방법 알아보기.